Summary:       Modem Manager GUI
Name:          modem-manager-gui
Version:       0.0.20
Release:       %mkrel 1
License:       GPLv3
Group:         Communications/Mobile
URL:           http://linuxonly.ru
Source0:       http://download.tuxfamily.org/gsf/source/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires: pkgconfig(glib-2.0) >= 2.32.1
BuildRequires: libgdbm-devel >= 1.10
BuildRequires: po4a >= 0.45
BuildRequires: itstool >= 1.2.0
BuildRequires: meson
BuildRequires: pkgconfig(gtkspell3-3.0) >= 3.0.6
BuildRequires: pkgconfig(ayatana-appindicator3-0.1)

Requires:      modemmanager >= 0.5.0.0
Requires:      gtkspell3 >= 3.0.6
Recommends:    libnotify >= 0.7.5
Recommends:    libcanberra0 >= 0.28
Recommends:    evolution-data-server >= 3.4.1
Recommends:    mobile-broadband-provider-info >= 20120614

%description
This program is a simple graphical interface for Modem Manager
daemon dbus interface.
Current features:
- View device information: Operator name, Mode, IMEI, IMSI,
  Signal level.
- Send and receive SMS messages with long messages
  concatenation and store messages in database.
- Send USSD requests and read answers in GSM7 and UCS2 formats
  converted to system UTF8 charset.
- Scan available mobile networks.

%prep
%setup -qn %{name}
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-man --with-gnome

%files -f %{name}.lang
%doc LICENSE AUTHORS Changelog
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/polkit-1/actions/ru.linuxonly.%{name}.policy
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/NetworkManager/dispatcher.d/95-mmgui-timestamp-notifier


%changelog
* Thu Nov 19 2020 daviddavid <daviddavid> 0.0.20-1.mga8
+ Revision: 1647595
- new version: 0.0.20

* Mon Aug 03 2020 wally <wally> 0.0.19.1-7.mga8
+ Revision: 1610828
- add patch to port to Ayatana AppIndicator

* Sat Feb 15 2020 umeabot <umeabot> 0.0.19.1-6.mga8
+ Revision: 1523582
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 10 2019 wally <wally> 0.0.19.1-5.mga7
+ Revision: 1373686
- drop some unneeded requires

* Sun Sep 23 2018 umeabot <umeabot> 0.0.19.1-4.mga7
+ Revision: 1299581
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 0.0.19.1-3.mga7
+ Revision: 1244658
- remove bogus dependency on libgdbm4
- install help and man files with find_lang
- fix owner of data dir and library dir

* Sun Jun 17 2018 luigiwalser <luigiwalser> 0.0.19.1-2.mga7
+ Revision: 1237484
- rebuild for gdbm

* Wed Apr 11 2018 kekepower <kekepower> 0.0.19.1-1.mga7
+ Revision: 1217648
- Update to version 0.0.19.1

* Mon Feb 15 2016 umeabot <umeabot> 0.0.18-2.mga6
+ Revision: 961465
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 alexl <alexl> 0.0.18-1.mga6
+ Revision: 889829
- update to version 0.0.18
- delete upstreamed patches

* Sat May 23 2015 alexl <alexl> 0.0.17.1-5.mga5
+ Revision: 822666
- fixed libebook api break (mga#16024)

* Wed Jan 07 2015 alexl <alexl> 0.0.17.1-4.mga5
+ Revision: 809197
- added upstream patches

* Wed Oct 15 2014 umeabot <umeabot> 0.0.17.1-3.mga5
+ Revision: 744345
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.17.1-2.mga5
+ Revision: 682558
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Sep 02 2014 alexl <alexl> 0.0.17.1-1.mga5
+ Revision: 670864
- moved patches, which in upstream now
- version 0.0.17.1 (thanks to author for fast fix)

* Mon Sep 01 2014 alexl <alexl> 0.0.17-2.mga5
+ Revision: 670800
- fixed showing menu (fix-menu.patch)
- fixed error with parsing of tag 'packing'

* Mon Sep 01 2014 alexl <alexl> 0.0.17-1.mga5
+ Revision: 670699
- version 0.0.17
- move patches, which in upstream now or obsolete

* Wed Aug 13 2014 alexl <alexl> 0.0.16-2.mga5
+ Revision: 662181
- deleted empty line and paths from desktop file (desktop.patch)
- used Mageia policy for spec

* Fri Mar 28 2014 stormi <stormi> 0.0.16-1.mga5
+ Revision: 609243
- fix typos in description
+ alexl <alexl>
- imported package modem-manager-gui

